Package Details: pachi-git 11.00.retsugen.r37.g4eb631e-1

Git Clone URL: https://aur.archlinux.org/pachi-git.git (read-only)
Package Base: pachi-git
Description: A fairly strong Go/Baduk/Weiqi playing program.
Upstream URL: http://pachi.or.cz/
Licenses: GPL
Conflicts: pachi, pachi-go
Provides: pachi
Submitter: aksr
Maintainer: aksr
Last Packager: aksr
Votes: 1
Popularity: 0.000000
First Submitted: 2016-02-06 11:42
Last Updated: 2016-02-06 12:17

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

tegularius commented on 2019-10-19 23:25

Hopefully this gets merged in: https://github.com/pasky/pachi/pull/127/commits/4905048d36b07cfc9b462e68f511d2e1710ef819, otherwise this could be a patch here.

A patch for PKGBUILD would then only need:

--- PKGBUILD.old    2019-10-20 01:24:12.480151831 +0200
+++ PKGBUILD    2019-10-20 01:24:56.029822297 +0200
@@ -37,8 +37,9 @@
 package() {
   cd "$srcdir/$pkgname"
   mkdir -p $pkgdir/usr/bin
-  make DESTDIR="$pkgdir/" PREFIX=/usr install
-  install -Dm644 README $pkgdir/usr/share/doc/${pkgname%-*}/README
+  make DESTDIR="$pkgdir/" PREFIX=/usr install install-data
+  install -Dm644 README.md $pkgdir/usr/share/doc/${pkgname%-*}/README.md
   install -Dm644 COPYING $pkgdir/usr/share/licenses/${pkgname%-*}/COPYING
 }

Additionally, with DCNN enabled (default) it depends on caffe.

tegularius commented on 2019-10-16 01:33

Does not work anymore:

==> Starting package()...
WARNING: Don't distribute binaries built with -march=native !
cp pachi distribute/
cd distribute  &&  strip pachi
/usr/bin/install -d /usr/bin
/usr/bin/install distribute/pachi /usr/bin/
/usr/bin/install: cannot remove '/usr/bin/pachi': Permission denied
make: *** [Makefile:328: install] Error 1
==> ERROR: A failure occurred in package().
    Aborting...